
import { request, METHOD, } from '@/utils/request'

//获取费用校验列表
export async function getVerificationList(data) {
    return request("/taskStatistics/costCenter", METHOD.POST, data)
}

//获取财务应收列表

export async function getReceivablesList(data) {
    return request("/financialReceivables/queryDateByType", METHOD.POST, data)
}
//获取财务应收详情
export async function getMonthReceivablesList(data) {
    return request("/financialReceivables/queryDateByTypeByMonth", METHOD.POST, data)
}
//获取车险应收或非车应收
export async function getCarList(data) {
    return request("/financialReceivables/queryPrivateCar", METHOD.POST, data)
}
//获取费用校验合计
export async function getCostCenterTotal(data) {
    return request("/taskStatistics/costCenterTotal", METHOD.POST, data)
}
//保险公司筛选框
export async function getCompany(data) {
    return request("/esmInsCompany/gainTopList?type=1", METHOD.GET, data)
}
//费用校验详情
export async function getVerificationDetails(data) {
    return request("/taskStatistics/costCenterDetails", METHOD.POST, data)
}
//费用校验详情查看
export async function getVerificationLicense(data) {
    return request("/taskStatistics/costCenterDetailsLicense", METHOD.POST, data)
}

//费用校验详情导出
export async function exportList(data) {
    return request("/taskStatistics/costCenterDetailsExcel", METHOD.POST, data)
}






export default {
    getVerificationList,
    getReceivablesList,
    getMonthReceivablesList,
    getCarList,
    getCostCenterTotal,
    getCompany,
    getVerificationDetails,
    getVerificationLicense,
    exportList
}
